Skip to main content
GET
/
content
/
{id}
/
compliance
Get compliance report
curl --request GET \
  --url https://api.app.hrizn.io/v1/public/content/{id}/compliance \
  --header 'X-API-Key: <api-key>'
{
  "data": {
    "article_id": "4d42cdcf-e24f-4123-960e-6c15761fcfcf",
    "status": "not_checked",
    "report": null
  }
}
Returns the latest compliance check results for content. Scope required: content:read

Path parameters

id
string
required
UUID of the content.

Response

article_id
string
UUID of the article.
status
string
Compliance status: not_checked, checking, complete, or failed.
report
object | null
Compliance report object, or null if compliance has not been run.
{
  "data": {
    "article_id": "4d42cdcf-e24f-4123-960e-6c15761fcfcf",
    "status": "not_checked",
    "report": null
  }
}
When a compliance check has been completed:
{
  "data": {
    "article_id": "4d42cdcf-e24f-4123-960e-6c15761fcfcf",
    "status": "complete",
    "report": {
      "score": 92,
      "issues": [
        {
          "rule": "no_competitor_mentions",
          "severity": "error",
          "message": "Article mentions competitor brand 'Ford'",
          "location": "paragraph 3"
        }
      ]
    }
  }
}
To trigger a compliance check, use Trigger compliance. Content must be in complete status before a compliance check can be run.

Authorizations

X-API-Key
string
header
required

Your Hrizn API key (prefix hzk_)

Path Parameters

id
string<uuid>
required

Content ID

Response

Compliance report

data
object
Last modified on March 1, 2026